# -*- coding: utf-8 -*-
"""
Created on Thu Apr  6 16:12:19 2017
@author: Peter Meisrimel
"""
from __future__ import division
import scipy as sp
import pylab as pl
import numpy as np
pl.close('all')

t_max = 6
src_t_s = 2
s = 1
m = 5
"""
f = lambda t: m*(t/s)**3

def aux(t, t_max):
    if t < s:
        return t
    elif t > src_t_s:
        return 0
    elif t > src_t_s - s:
        return src_t_s - t
    else:
        return 1
"""
def f(t):
    if t < 1:
        return 5*t**3
    elif t < 2:
        return 5*(2-t)**3
    else:
        return 0
xx = np.linspace(0,t_max,1000)
#yy = [f(aux(t, t_max)) for t in xx]
yy = [f(t) for t in xx]

pl.plot(xx, yy, '-k', lw = 4)
pl.ylim([0, m + 0.1])
pl.title('Heat source', fontsize = 20)
pl.xlabel('t', fontsize = 18)
pl.ylabel('f(t)', rotation = 0, labelpad = 20, fontsize = 18)
pl.savefig('heat_source.png')